# -*- coding: utf-8 -*-
#
# Copyright Shawn L. Church (c) 2008, All rights reserved.
# For terms of use and distribution see the file LICENSE.txt
# located in the root directory of the distribution.

""" Release information for the RstDoc distribution. """

import os, os.path

version = "0.9.0"
name = os.path.split(os.getcwd())[1]
description = "Documenter with support for Trac Wiki references."
long_description = """
This package provides a setuptools command extension that
generates project documentation from module source files.
Docstrings are processed as reStructuredText and can include
Trac WikiLinks using standard Trac Wiki syntax. 

Simply enclosing a `WikiPage` name in backquotes in a 
docstring will create a link to the Trac procect when
the documentation is generated.  Other wiki syntax is also
available,  so tickets, reports,  and changesets can also
be referenced from docstrings.

Once this module is installed,  it is available to **any**
setuptools based project.  Documentation for the project
is generated with:
        
    python setup.py rstdocs --trac="http://SChurchComputers.no-ip.biz/prjects/RstDoc"

Also included is a Trac plugin that includes the ability to
generate this documentation directly from Trac repository sources.
I have used this with both the svn and bzr backends.   I will also 
be releasing a simple wx-based IDE I developed, aPyIdea, that 
allows the viewing of module documentation in the same format
so you can preview it before generating a complete set.

See the docs directory in the source distribution for examples.
The main project web page gives more details as well as the usual 
Trac goodies.  Please comment.

"""

author = "Shawn Church"
email = "shawn@SChurchComputers.no-ip.biz"
copyright = "2008, Shawn L. Church"
url = "http://SChurchComputers.no-ip.biz/projects/RstDoc"
download_url = "http://SChurchComputers.no-ip.biz/projects/RstDoc/download"
license = "MIT"
platforms = "all"
