# -*- coding: utf-8 -*-
#
# Copyright Shawn L. Church (c) 2008, All rights reserved.
# For terms of use and distribution see the file LICENSE.txt
# located in the root directory of the distribution.

""" setuptools Setup script. """

from glob import glob
from setuptools import setup, find_packages
#from setuptools.command.egg_info import egg_info
from rstdoc.release import *

packages=find_packages()

##class extra_egg_info(egg_info):
##    """ Add extra files to egg info folder. """
##
##    def run(self):
##        egg_info.run(self)
##        fileName = os.path.join(self.egg_info, "trac_plugins.txt")
##        self.write_file("Trac Plugins", fileName, "rstdoc\n")
##
setup(
    #name=name,
    name='RstDoc',
    version=version,
    description=description,
    author=author,
    author_email=email,
    url=url,
    #download_url=download_url,
    license=license,
    platforms=platforms,
    long_description = long_description,

    zip_safe=False,

    packages=packages,

    package_data = {
        'rstdoc' : ['templates/*', 'htdocs/css/*', "rstlib/*.css"]
    },
    data_files = [
        ('', glob("*.html")),
        ('', glob("*.txt")),
    ],
    keywords=[
        # Python Cheeseshop
        'documentation', 'doc', 'html', 'trac',
    ],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Operating System :: OS Independent',
        'Environment :: Console',
        'Environment :: Plugins',
        'Environment :: Web Environment',
        'Programming Language :: Python',
        'Topic :: Software Development :: Documentation',
        'Framework :: Trac',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'License :: OSI Approved :: MIT License',
        ],
    test_suite='rstdoc.test_all.testSuite',
    entry_points = {
        'distutils.commands': [
            'rstdocs = rstdoc.setuplib:rstdocs',
            'rst2html = rstdoc.setuplib:rst2html',
            'build_readme = rstdoc.setuplib:build_readme',
            'build_license = rstdoc.setuplib:build_license',
        ],
        "trac.plugins" : [
            "rstdoc.plugin=rstdoc.plugin",
        ],
    },

    )
